[Plugin update] Store Exporter Deluxe 4.3 for WooCommerce

Hi WooCommerce store owners, the 4.3 Plugin release is a major Plugin update that includes the PhpSpreadsheet library for exporting csv and xlsx files if your server is running PHP version 7.2 and above. For more details about PhpSpreadsheet, see our previous beta release post Here’s the full changelog: Added
  • PhpSpreadsheet to replace PhpExcel on Csv and Xlsx exports if PHP Version is greater than 7.2
  • Filter to change Delivery Date label and date format for different settings in Delivery Date for WooCommerce
  • Filter to remove all order items not matching product category filter options when exporting orders (thanks Harold)
Fixed
  • Numeric value error on Order Item: Discount field

What’s coming in 4.4?

Development focus will be on memory optimization for large order and product exports. Download the latest Plugin update from My Account, or via Dashboard > Updates within the WordPress Administration and for more information visit the Plugin detail page for Store Exporter Deluxe.

Store Exporter Deluxe is moving to PhpSpreadsheet

Hi WooCommerce store owners, the 4.3 Beta Plugin update of Store Exporter Deluxe is a major Plugin update as part of our roadmap for resolving critical Plugin issues and ensuring this Plugin can be maintained going forward. There are no security fixes in this release.

This is an invitation for current Store Exporter Deluxe customers to try the new 4.3 Beta release before it is officially released by opening a Premium Support ticket with us.

The backstory

For years we have relied on the PHPExcel library to generate exports in different spreadsheet file formats for use in Excel, LibreOffice Calc, etc.

PHPExcel was officially deprecated in 2017 and permanently archived in 2019. Although it still works perfectly well for it’s intended purpose, it is no longer being developed and we must move with the times.

PhpSpreadsheet is the next version of PHPExcel taking advantage of the newer PHP features available while retaining all of the existing functionality within PHPExcel.

PhpSpreadsheet requires at least PHP 7.2 whereas PHPExcel worked all the way to PHP 5.2. This PHP version requirement may affect you.

What’s changed?

Check what version of PHP you are using by opening the WooCommerce > System Status screen within the WordPress Administration.

A considerable percentage of active WooCommerce stores run on outdated versions of PHP below this required 7.2, for this reason we will continue to support PHPExcel within Store Exporter Deluxe. However, if you do have PHP 7.2 or higher PhpSpreadsheet will automatically be used for store exports.

Before officially releasing this major Plugin release, we would like to invite customers interested in testing this to contact us. Please reach out to us via our Premium Support page and we will provide you with this early Plugin release. Note that none of your settings will be lost when switching between your official Plugin release and this early Plugin release.